[Overview][Resource strings][Constants][Types][Classes][Index] | Reference for unit 'resource' (#fcl-res)

# EResourceReaderWrongFormatException

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

The stream is not in the format the reader supports

## Declaration

Source position: resource.pp line 88

`type EResourceReaderWrongFormatException = class(EResourceReaderException)`

## Inheritance

`EResourceReaderWrongFormatException` |  | The stream is not in the format the reader supports
`EResourceReaderException` |  | Base class for resource reader-related exceptions
`EResourceException` |  | Base class for resource-related exceptions
`Exception`
`TObject`

## Description

This exception is raised by Load method of a TAbstractResourceReader descendant when the stream it was asked to read resources from is not in the format it supports.

## See also

TAbstractResourceReader.Load |  | Loads resources from a stream